TICKIT_TERM_SETCTL_INT(3)

NAME
tickit_term_setctl_int, tickit_term_setctl_str - set an integer or string terminal control

SYNOPSIS
    #include <tickit.h>

    bool tickit_term_getctl_int(TickitTerm *tt, TickitTermCtl ctl, int *value);
    bool tickit_term_setctl_int(TickitTerm *tt, TickitTermCtl ctl, int value);
    bool tickit_term_setctl_str(TickitTerm *tt, TickitTermCtl ctl, const char *value);

Link with -ltickit.

DESCRIPTION
tickit_term_setctl_int() performs a terminal control operation, setting the value of a numeric terminal control option. tickit_term_setctl_str() sets the value of a string terminal control option. tickit_term_getctl_int() obtains the value of a terminal control setting.

For the list of possible TickitTermCtl values and their meanings, see tickit_term(7).

RETURN VALUE
tickit_term_getctl_int() returns a true value if it recognised the requested control and managed to return the current value of it; false if not. tickit_term_setctl_int() and tickit_term_setctl_str() return a true value if it recognised the requested control and managed to request the terminal to change it; false if not.

SEE ALSO
tickit_term_new(3), tickit_term(7), tickit(7)